Create Provider
curl --request POST \
--url https://api.soharhealth.com/v1/providers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"npi": "0123456789",
"payerId": "62308",
"state": "CA",
"providerGroupId": "cb075a05-4510-456c-addb-fc2efdb74686"
}
'import requests
url = "https://api.soharhealth.com/v1/providers"
payload = {
"npi": "0123456789",
"payerId": "62308",
"state": "CA",
"providerGroupId": "cb075a05-4510-456c-addb-fc2efdb74686"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
npi: '0123456789',
payerId: '62308',
state: 'CA',
providerGroupId: 'cb075a05-4510-456c-addb-fc2efdb74686'
})
};
fetch('https://api.soharhealth.com/v1/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"providerId": "ccc9ffc3-b309-4598-99ad-eb219d82177a"
}{
"error": "invalid_request_error",
"param": "npi"
}{
"error": "invalid_request_error"
}Providers
Create Provider
POST
/
v1
/
providers
Create Provider
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The provider's NPI
Example:
"0123456789"
The payer ID. See the Sohar payer list
Example:
"62308"
Two-letter US state code
Available options:
AK, AL, AR, AZ, CA, CO, CT, DC, DE, FL, GA, HI, IA, ID, IL, IN, KS, KY, LA, MA, MD, ME, MI, MN, MO, MS, MT, NC, ND, NE, NH, NJ, NM, NV, NY, OH, OK, OR, PA, RI, SC, SD, TN, TX, UT, VA, VT, WA, WI, WV, WY Example:
"CA"
The Sohar ID for the provider group
Example:
"cb075a05-4510-456c-addb-fc2efdb74686"
Response
A provider config
The Sohar ID for the provider record
Example:
"ccc9ffc3-b309-4598-99ad-eb219d82177a"
⌘I